Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Views

Get Content Views
GET /contentmodules/{moduleId}/content/{contentId}/views
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/views
Get a list of users that have seen or swiped (read) on a content with contentId in a module with moduleId.
Default sorting is by dateViewed in descending order.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Query String
dateSwiped datetimeoffset Filterable Sortable optional
dateViewed datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"1e4ff35e-8696-49d6-ac95-d78885ad719e","userId":"3def5684-ca50-40b0-b282-10385c1435ee","userUrl":null,"dateSwiped":"2026-09-30T14:13:07.5169737+00:00","dateViewed":"2026-09-30T14:13:07.5169737+00:00"},{"id":"59663dd2-4543-4981-a31a-d725c1801339","userId":"baa8a106-262b-4455-89b3-1642c4bfcd8c","userUrl":null,"dateSwiped":null,"dateViewed":"2026-10-01T14:13:07.5169737+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   dateSwiped datetimeoffset      
   dateViewed datetimeoffset      
   id string / guid      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string